.TH HG PULL  "" "" ""
.SH NAME
hg pull \- pull changes from the specified source
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg pull [\-u] [\-f] [\-r REV]... [\-e CMD] [\-\-remotecmd CMD] [SOURCE]...
.ft P
.fi
.SH DESCRIPTION
.sp
Pull changes from a remote repository to a local one.
.sp
This finds all changes from the repository at the specified path
or URL and adds them to a local repository (the current one unless
\-R is specified). By default, this does not update the copy of the
project in the working directory.
.sp
When cloning from servers that support it, Mercurial may fetch
pre\-generated data. When this is done, hooks operating on incoming
changesets and changegroups may fire more than once, once for each
pre\-generated bundle and as well as for any additional remaining
data. See \%\fBhg help \-e clonebundles\fP\: for more.
.sp
Use \%\fBhg incoming\fP\: if you want to see what would have been added
by a pull at the time you issued this command. If you then decide
to add those changes to the repository, you should use \%\fBhg pull
\-r X\fP\: where \fBX\fP is the last changeset listed by \%\fBhg incoming\fP\:.
.sp
If SOURCE is omitted, the \(aqdefault\(aq path will be used.
See \%\fBhg help urls\fP\: for more information.
.sp
If multiple sources are specified, they will be pulled sequentially as if
the command was run multiple time. If \-\-update is specify and the command
will stop at the first failed \-\-update.
.sp
Specifying bookmark as \fB.\fP is equivalent to specifying the active
bookmark\(aqs name.
.sp
One can use the \fI\-\-remote\-hidden\fP flag to pull changesets
hidden on the remote. This flag is "best effort", and will only
work if the server supports the feature and is configured to
allow the user to access hidden changesets. This option is
experimental and backwards compatibility is not garanteed.
.sp
Returns 0 on success, 1 if an update had unresolved files.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-u,  \-\-update
.
update to new branch head if new descendants were pulled
.TP
.B \-f,  \-\-force
.
run even when remote repository is unrelated
.TP
.B \-\-confirm
.
confirm pull before applying changes
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
a remote changeset intended to be added
.TP
.BI \-B,  \-\-bookmark \ <BOOKMARK[+]>
.
bookmark to pull
.TP
.BI \-b,  \-\-branch \ <BRANCH[+]>
.
a specific branch you would like to pull
.TP
.B \-\-remote\-hidden
.
include changesets hidden on the remote (EXPERIMENTAL)
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
